SDL Library Documentation
Prev |  | Next

# SDL_CondSignal

## Name

SDL_CondSignal -- Restart a thread wait on a condition variable

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_CondSignal`(SDL_cond *cond);`

## Description

Restart one of the threads that are waiting on the condition variable, `cond`. Returns 0 on success of -1 on an error.

## See Also

`SDL_CondWait`, `SDL_CondBroadcast`

Prev | Home | Next
SDL_DestroyCond | Up | SDL_CondBroadcast